# babel-config-adambrgmn
My basic setup for Babel.
To make it work flawless run the following code:

```sh
$ npm install --save-dev babel-cli babel-preset-{es2015,react,react-hmre,stage-0} babel-config-adambrgmn && echo -e '{
  "extends": "babel-config-adambrgmn/.babelrc"
}' > .babelrc
```

To be able to use all of the ES& awsomeness when writing Node-applications a basic setup for an index file would look something like this:

```javascript
const fs = require('fs');
const path = require('path');

const babelrc = fs.readFileSync(path.join(process.cwd(), '.babelrc')); // Read the .babelrc file in your projects root
let config;

try {
  config = JSON.parse(babelrc); // Try to parse that JSON, if there is something wrong all hell will brak loose
} catch (err) {
  console.error('Error parsing .babelrc');
  console.error(err);
}

require('babel-register')(config); // Initialize Babel with your config
require('babel-polyfill'); // Include the polygill for all the good stuff
require('./src/index'); // And finally start your engines (in here you can do all kinds of cool stuff e.g. import x from 'x' and const hey = await hello())
```

If you like this kind of setup you also have to run the following:
```sh
$ npm install --save babel-{register,polyfill}
```
